package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazardReportMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazardReport;
import com.goldenwater.slaj.hazard.service.ITBusiHazardReportService;

/**
 * 危险源上报 服务层实现
 */
@Service
public class TBusiHazardReportServiceImpl implements ITBusiHazardReportService {

    @Autowired
    private TBusiHazardReportMapper tBusiHazardReportMapper;

    /**
     * 查询危险源上报信息
     * @param guid 查询条件
     * @return 危险源上报信息
     */
    @Override
    public TBusiHazardReport selectTBusiHazardReportByGuid(String guid) {
        return tBusiHazardReportMapper.selectTBusiHazardReportByGuid(guid);
    }

    /**
     * 查询危险源上报列表
     * @param tBusiHazardReport 危险源上报查询条件
     * @return 危险源上报集合
     */
    @Override
    public List<TBusiHazardReport> selectTBusiHazardReportList(TBusiHazardReport tBusiHazardReport) {
        return tBusiHazardReportMapper.selectTBusiHazardReportList(tBusiHazardReport);
    }

    /**
     * 新增危险源上报
     * @param tBusiHazardReport 危险源上报信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazardReport(TBusiHazardReport tBusiHazardReport) {
        return tBusiHazardReportMapper.insertTBusiHazardReport(tBusiHazardReport);
    }

    /**
     * 修改危险源上报
     * @param tBusiHazardReport 危险源上报信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazardReport(TBusiHazardReport tBusiHazardReport) {
        return tBusiHazardReportMapper.updateTBusiHazardReport(tBusiHazardReport);
    }

    /**
     * 删除危险源上报
     * @param guid 危险源上报主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazardReportByGuid(String guid) {
        return tBusiHazardReportMapper.deleteTBusiHazardReportByGuid(guid);
    }

    /**
     * 批量删除危险源上报
     * @param guids 危险源上报主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazardReportByGuids(String[] guids) {
        return tBusiHazardReportMapper.deleteTBusiHazardReportByGuids(guids);
    }
}
